package handler

import (
	"git.coopgo.io/coopgo-apps/silvermobi/services"
	"git.coopgo.io/coopgo-apps/silvermobi/storage"
	"github.com/spf13/viper"
)

type SilverMobiHandler struct {
	Config   *viper.Viper
	Services *services.ServiceHandler
	Storage  storage.Storage
}

func NewSilverMobiHandler(cfg *viper.Viper, services *services.ServiceHandler,
	storage storage.Storage) (*SilverMobiHandler, error) {
	return &SilverMobiHandler{
		Config:   cfg,
		Services: services,
		Storage:  storage,
	}, nil
}
